# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: database.proto

import sys

from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database

import mascot.grpcproto.error_pb2 as error__pb2

_b = sys.version_info[0] < 3 and (lambda x: x) or (lambda x: x.encode("latin1"))
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()


DESCRIPTOR = _descriptor.FileDescriptor(
    name="database.proto",
    package="mascot",
    syntax="proto3",
    serialized_options=None,
    serialized_pb=_b(
        '\n\x0e\x64\x61tabase.proto\x12\x06mascot\x1a\x0b\x65rror.proto"?\n\x0e\x44irectoryReply\x12\x0f\n\x07success\x18\x01 \x01(\x08\x12\x1c\n\x05\x65rror\x18\x02 \x01(\x0b\x32\r.mascot.Error"\\\n\x0f\x44\x62\x44\x65vExportInfo\x12\x0c\n\x04name\x18\x01 \x01(\t\x12\x0f\n\x07\x61\x64\x64ress\x18\x02 \x01(\t\x12\x0c\n\x04host\x18\x03 \x01(\t\x12\x0f\n\x07version\x18\x04 \x01(\t\x12\x0b\n\x03pid\x18\x05 \x01(\x03"S\n\x0f\x44\x62\x44\x65vImportInfo\x12\x0c\n\x04name\x18\x01 \x01(\t\x12\x0f\n\x07\x61\x64\x64ress\x18\x02 \x01(\t\x12\x10\n\x08\x65xported\x18\x03 \x01(\x08\x12\x0f\n\x07version\x18\x04 \x01(\t"<\n\x10\x44\x62\x44\x65vExportInfos\x12(\n\x07\x64\x65vinfo\x18\x01 \x03(\x0b\x32\x17.mascot.DbDevExportInfo"\x1a\n\nDeviceName\x12\x0c\n\x04name\x18\x01 \x01(\t"l\n\x14\x44irectoryImportReply\x12\x0f\n\x07success\x18\x01 \x01(\x08\x12\x1c\n\x05\x65rror\x18\x02 \x01(\x0b\x32\r.mascot.Error\x12%\n\x04info\x18\x03 \x01(\x0b\x32\x17.mascot.DbDevImportInfo2\xd7\x01\n\tDirectory\x12\x41\n\x0c\x45xportDevice\x12\x17.mascot.DbDevExportInfo\x1a\x16.mascot.DirectoryReply"\x00\x12\x43\n\rExportDevices\x12\x18.mascot.DbDevExportInfos\x1a\x16.mascot.DirectoryReply"\x00\x12\x42\n\x0cImportDevice\x12\x12.mascot.DeviceName\x1a\x1c.mascot.DirectoryImportReply"\x00\x62\x06proto3'
    ),
    dependencies=[error__pb2.DESCRIPTOR],
)


_DIRECTORYREPLY = _descriptor.Descriptor(
    name="DirectoryReply",
    full_name="mascot.DirectoryReply",
    filename=None,
    file=DESCRIPTOR,
    containing_type=None,
    fields=[
        _descriptor.FieldDescriptor(
            name="success",
            full_name="mascot.DirectoryReply.success",
            index=0,
            number=1,
            type=8,
            cpp_type=7,
            label=1,
            has_default_value=False,
            default_value=False,
            message_type=None,
            enum_type=None,
            containing_type=None,
            is_extension=False,
            extension_scope=None,
            serialized_options=None,
            file=DESCRIPTOR,
        ),
        _descriptor.FieldDescriptor(
            name="error",
            full_name="mascot.DirectoryReply.error",
            index=1,
            number=2,
            type=11,
            cpp_type=10,
            label=1,
            has_default_value=False,
            default_value=None,
            message_type=None,
            enum_type=None,
            containing_type=None,
            is_extension=False,
            extension_scope=None,
            serialized_options=None,
            file=DESCRIPTOR,
        ),
    ],
    extensions=[],
    nested_types=[],
    enum_types=[],
    serialized_options=None,
    is_extendable=False,
    syntax="proto3",
    extension_ranges=[],
    oneofs=[],
    serialized_start=39,
    serialized_end=102,
)


_DBDEVEXPORTINFO = _descriptor.Descriptor(
    name="DbDevExportInfo",
    full_name="mascot.DbDevExportInfo",
    filename=None,
    file=DESCRIPTOR,
    containing_type=None,
    fields=[
        _descriptor.FieldDescriptor(
            name="name",
            full_name="mascot.DbDevExportInfo.name",
            index=0,
            number=1,
            type=9,
            cpp_type=9,
            label=1,
            has_default_value=False,
            default_value=_b("").decode("utf-8"),
            message_type=None,
            enum_type=None,
            containing_type=None,
            is_extension=False,
            extension_scope=None,
            serialized_options=None,
            file=DESCRIPTOR,
        ),
        _descriptor.FieldDescriptor(
            name="address",
            full_name="mascot.DbDevExportInfo.address",
            index=1,
            number=2,
            type=9,
            cpp_type=9,
            label=1,
            has_default_value=False,
            default_value=_b("").decode("utf-8"),
            message_type=None,
            enum_type=None,
            containing_type=None,
            is_extension=False,
            extension_scope=None,
            serialized_options=None,
            file=DESCRIPTOR,
        ),
        _descriptor.FieldDescriptor(
            name="host",
            full_name="mascot.DbDevExportInfo.host",
            index=2,
            number=3,
            type=9,
            cpp_type=9,
            label=1,
            has_default_value=False,
            default_value=_b("").decode("utf-8"),
            message_type=None,
            enum_type=None,
            containing_type=None,
            is_extension=False,
            extension_scope=None,
            serialized_options=None,
            file=DESCRIPTOR,
        ),
        _descriptor.FieldDescriptor(
            name="version",
            full_name="mascot.DbDevExportInfo.version",
            index=3,
            number=4,
            type=9,
            cpp_type=9,
            label=1,
            has_default_value=False,
            default_value=_b("").decode("utf-8"),
            message_type=None,
            enum_type=None,
            containing_type=None,
            is_extension=False,
            extension_scope=None,
            serialized_options=None,
            file=DESCRIPTOR,
        ),
        _descriptor.FieldDescriptor(
            name="pid",
            full_name="mascot.DbDevExportInfo.pid",
            index=4,
            number=5,
            type=3,
            cpp_type=2,
            label=1,
            has_default_value=False,
            default_value=0,
            message_type=None,
            enum_type=None,
            containing_type=None,
            is_extension=False,
            extension_scope=None,
            serialized_options=None,
            file=DESCRIPTOR,
        ),
    ],
    extensions=[],
    nested_types=[],
    enum_types=[],
    serialized_options=None,
    is_extendable=False,
    syntax="proto3",
    extension_ranges=[],
    oneofs=[],
    serialized_start=104,
    serialized_end=196,
)


_DBDEVIMPORTINFO = _descriptor.Descriptor(
    name="DbDevImportInfo",
    full_name="mascot.DbDevImportInfo",
    filename=None,
    file=DESCRIPTOR,
    containing_type=None,
    fields=[
        _descriptor.FieldDescriptor(
            name="name",
            full_name="mascot.DbDevImportInfo.name",
            index=0,
            number=1,
            type=9,
            cpp_type=9,
            label=1,
            has_default_value=False,
            default_value=_b("").decode("utf-8"),
            message_type=None,
            enum_type=None,
            containing_type=None,
            is_extension=False,
            extension_scope=None,
            serialized_options=None,
            file=DESCRIPTOR,
        ),
        _descriptor.FieldDescriptor(
            name="address",
            full_name="mascot.DbDevImportInfo.address",
            index=1,
            number=2,
            type=9,
            cpp_type=9,
            label=1,
            has_default_value=False,
            default_value=_b("").decode("utf-8"),
            message_type=None,
            enum_type=None,
            containing_type=None,
            is_extension=False,
            extension_scope=None,
            serialized_options=None,
            file=DESCRIPTOR,
        ),
        _descriptor.FieldDescriptor(
            name="exported",
            full_name="mascot.DbDevImportInfo.exported",
            index=2,
            number=3,
            type=8,
            cpp_type=7,
            label=1,
            has_default_value=False,
            default_value=False,
            message_type=None,
            enum_type=None,
            containing_type=None,
            is_extension=False,
            extension_scope=None,
            serialized_options=None,
            file=DESCRIPTOR,
        ),
        _descriptor.FieldDescriptor(
            name="version",
            full_name="mascot.DbDevImportInfo.version",
            index=3,
            number=4,
            type=9,
            cpp_type=9,
            label=1,
            has_default_value=False,
            default_value=_b("").decode("utf-8"),
            message_type=None,
            enum_type=None,
            containing_type=None,
            is_extension=False,
            extension_scope=None,
            serialized_options=None,
            file=DESCRIPTOR,
        ),
    ],
    extensions=[],
    nested_types=[],
    enum_types=[],
    serialized_options=None,
    is_extendable=False,
    syntax="proto3",
    extension_ranges=[],
    oneofs=[],
    serialized_start=198,
    serialized_end=281,
)


_DBDEVEXPORTINFOS = _descriptor.Descriptor(
    name="DbDevExportInfos",
    full_name="mascot.DbDevExportInfos",
    filename=None,
    file=DESCRIPTOR,
    containing_type=None,
    fields=[
        _descriptor.FieldDescriptor(
            name="devinfo",
            full_name="mascot.DbDevExportInfos.devinfo",
            index=0,
            number=1,
            type=11,
            cpp_type=10,
            label=3,
            has_default_value=False,
            default_value=[],
            message_type=None,
            enum_type=None,
            containing_type=None,
            is_extension=False,
            extension_scope=None,
            serialized_options=None,
            file=DESCRIPTOR,
        )
    ],
    extensions=[],
    nested_types=[],
    enum_types=[],
    serialized_options=None,
    is_extendable=False,
    syntax="proto3",
    extension_ranges=[],
    oneofs=[],
    serialized_start=283,
    serialized_end=343,
)


_DEVICENAME = _descriptor.Descriptor(
    name="DeviceName",
    full_name="mascot.DeviceName",
    filename=None,
    file=DESCRIPTOR,
    containing_type=None,
    fields=[
        _descriptor.FieldDescriptor(
            name="name",
            full_name="mascot.DeviceName.name",
            index=0,
            number=1,
            type=9,
            cpp_type=9,
            label=1,
            has_default_value=False,
            default_value=_b("").decode("utf-8"),
            message_type=None,
            enum_type=None,
            containing_type=None,
            is_extension=False,
            extension_scope=None,
            serialized_options=None,
            file=DESCRIPTOR,
        )
    ],
    extensions=[],
    nested_types=[],
    enum_types=[],
    serialized_options=None,
    is_extendable=False,
    syntax="proto3",
    extension_ranges=[],
    oneofs=[],
    serialized_start=345,
    serialized_end=371,
)


_DIRECTORYIMPORTREPLY = _descriptor.Descriptor(
    name="DirectoryImportReply",
    full_name="mascot.DirectoryImportReply",
    filename=None,
    file=DESCRIPTOR,
    containing_type=None,
    fields=[
        _descriptor.FieldDescriptor(
            name="success",
            full_name="mascot.DirectoryImportReply.success",
            index=0,
            number=1,
            type=8,
            cpp_type=7,
            label=1,
            has_default_value=False,
            default_value=False,
            message_type=None,
            enum_type=None,
            containing_type=None,
            is_extension=False,
            extension_scope=None,
            serialized_options=None,
            file=DESCRIPTOR,
        ),
        _descriptor.FieldDescriptor(
            name="error",
            full_name="mascot.DirectoryImportReply.error",
            index=1,
            number=2,
            type=11,
            cpp_type=10,
            label=1,
            has_default_value=False,
            default_value=None,
            message_type=None,
            enum_type=None,
            containing_type=None,
            is_extension=False,
            extension_scope=None,
            serialized_options=None,
            file=DESCRIPTOR,
        ),
        _descriptor.FieldDescriptor(
            name="info",
            full_name="mascot.DirectoryImportReply.info",
            index=2,
            number=3,
            type=11,
            cpp_type=10,
            label=1,
            has_default_value=False,
            default_value=None,
            message_type=None,
            enum_type=None,
            containing_type=None,
            is_extension=False,
            extension_scope=None,
            serialized_options=None,
            file=DESCRIPTOR,
        ),
    ],
    extensions=[],
    nested_types=[],
    enum_types=[],
    serialized_options=None,
    is_extendable=False,
    syntax="proto3",
    extension_ranges=[],
    oneofs=[],
    serialized_start=373,
    serialized_end=481,
)

_DIRECTORYREPLY.fields_by_name["error"].message_type = error__pb2._ERROR
_DBDEVEXPORTINFOS.fields_by_name["devinfo"].message_type = _DBDEVEXPORTINFO
_DIRECTORYIMPORTREPLY.fields_by_name["error"].message_type = error__pb2._ERROR
_DIRECTORYIMPORTREPLY.fields_by_name["info"].message_type = _DBDEVIMPORTINFO
DESCRIPTOR.message_types_by_name["DirectoryReply"] = _DIRECTORYREPLY
DESCRIPTOR.message_types_by_name["DbDevExportInfo"] = _DBDEVEXPORTINFO
DESCRIPTOR.message_types_by_name["DbDevImportInfo"] = _DBDEVIMPORTINFO
DESCRIPTOR.message_types_by_name["DbDevExportInfos"] = _DBDEVEXPORTINFOS
DESCRIPTOR.message_types_by_name["DeviceName"] = _DEVICENAME
DESCRIPTOR.message_types_by_name["DirectoryImportReply"] = _DIRECTORYIMPORTREPLY
_sym_db.RegisterFileDescriptor(DESCRIPTOR)

DirectoryReply = _reflection.GeneratedProtocolMessageType(
    "DirectoryReply",
    (_message.Message,),
    dict(
        DESCRIPTOR=_DIRECTORYREPLY,
        __module__="database_pb2"
        # @@protoc_insertion_point(class_scope:mascot.DirectoryReply)
    ),
)
_sym_db.RegisterMessage(DirectoryReply)

DbDevExportInfo = _reflection.GeneratedProtocolMessageType(
    "DbDevExportInfo",
    (_message.Message,),
    dict(
        DESCRIPTOR=_DBDEVEXPORTINFO,
        __module__="database_pb2"
        # @@protoc_insertion_point(class_scope:mascot.DbDevExportInfo)
    ),
)
_sym_db.RegisterMessage(DbDevExportInfo)

DbDevImportInfo = _reflection.GeneratedProtocolMessageType(
    "DbDevImportInfo",
    (_message.Message,),
    dict(
        DESCRIPTOR=_DBDEVIMPORTINFO,
        __module__="database_pb2"
        # @@protoc_insertion_point(class_scope:mascot.DbDevImportInfo)
    ),
)
_sym_db.RegisterMessage(DbDevImportInfo)

DbDevExportInfos = _reflection.GeneratedProtocolMessageType(
    "DbDevExportInfos",
    (_message.Message,),
    dict(
        DESCRIPTOR=_DBDEVEXPORTINFOS,
        __module__="database_pb2"
        # @@protoc_insertion_point(class_scope:mascot.DbDevExportInfos)
    ),
)
_sym_db.RegisterMessage(DbDevExportInfos)

DeviceName = _reflection.GeneratedProtocolMessageType(
    "DeviceName",
    (_message.Message,),
    dict(
        DESCRIPTOR=_DEVICENAME,
        __module__="database_pb2"
        # @@protoc_insertion_point(class_scope:mascot.DeviceName)
    ),
)
_sym_db.RegisterMessage(DeviceName)

DirectoryImportReply = _reflection.GeneratedProtocolMessageType(
    "DirectoryImportReply",
    (_message.Message,),
    dict(
        DESCRIPTOR=_DIRECTORYIMPORTREPLY,
        __module__="database_pb2"
        # @@protoc_insertion_point(class_scope:mascot.DirectoryImportReply)
    ),
)
_sym_db.RegisterMessage(DirectoryImportReply)


_DIRECTORY = _descriptor.ServiceDescriptor(
    name="Directory",
    full_name="mascot.Directory",
    file=DESCRIPTOR,
    index=0,
    serialized_options=None,
    serialized_start=484,
    serialized_end=699,
    methods=[
        _descriptor.MethodDescriptor(
            name="ExportDevice",
            full_name="mascot.Directory.ExportDevice",
            index=0,
            containing_service=None,
            input_type=_DBDEVEXPORTINFO,
            output_type=_DIRECTORYREPLY,
            serialized_options=None,
        ),
        _descriptor.MethodDescriptor(
            name="ExportDevices",
            full_name="mascot.Directory.ExportDevices",
            index=1,
            containing_service=None,
            input_type=_DBDEVEXPORTINFOS,
            output_type=_DIRECTORYREPLY,
            serialized_options=None,
        ),
        _descriptor.MethodDescriptor(
            name="ImportDevice",
            full_name="mascot.Directory.ImportDevice",
            index=2,
            containing_service=None,
            input_type=_DEVICENAME,
            output_type=_DIRECTORYIMPORTREPLY,
            serialized_options=None,
        ),
    ],
)
_sym_db.RegisterServiceDescriptor(_DIRECTORY)

DESCRIPTOR.services_by_name["Directory"] = _DIRECTORY

# @@protoc_insertion_point(module_scope)
